---
title: 'Link types: dns-prefetch'
slug: Web/HTML/Link_types/dns-prefetch
tags:
  - Attribute
  - HTML
  - Link
  - Link types
  - Reference
---
<p><span class="seoSummary">The <strong><code>dns-prefetch</code></strong> keyword for the {{HTMLAttrxRef("rel", "link")}} attribute of the {{HTMLElement("link")}} element is a hint to browsers that the user is likely to need resources from the target resource's origin, and therefore the browser can likely improve the user experience by preemptively performing DNS resolution for that origin.</span></p>

<p>See <a href="/en-US/docs/Web/Performance/dns-prefetch">Using dns-prefetch</a> for more details.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#link-type-dns-prefetch", "dns-prefetch")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.link.rel.dns-prefetch")}}</p>
